JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const document = await client.document.getCachedV1('document_id');
console.log(document.id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
document = client.document.get_cached_v1(
"document_id",
)
print(document.id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
document, err := client.Document.GetCachedV1(context.TODO(), "document_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", document.ID)
}
openregister document get-cached-v1 \
--api-key 'My API Key' \
--document-id document_idcurl --request GET \
--url https://api.openregister.de/v1/document/{document_id} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"name": "<string>",
"date": "<string>",
"url": "<string>",
"type": "articles_of_association"
}Document Stored
GET
/
v1
/
document
/
{document_id}
JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const document = await client.document.getCachedV1('document_id');
console.log(document.id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
document = client.document.get_cached_v1(
"document_id",
)
print(document.id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
document, err := client.Document.GetCachedV1(context.TODO(), "document_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", document.ID)
}
openregister document get-cached-v1 \
--api-key 'My API Key' \
--document-id document_idRetrieve stored documents for a company
Access documents that have been previously retrieved and stored in our database. This endpoint is faster and more cost-effective for accessing historical documents or documents that have already been fetched. For the most current documents, use the realtime document endpoint instead. Cost: 10 creditsAuthorizations
API Key Authentication Provide your API key as a Bearer token in the Authorization header.
Path Parameters
Unique document identifier. Example: a6daa905-a87e-451c-9df6-35051eec8b61
Response
Successfully retrieved document information
The unique identifier for the document. E.g. "f47ac10b-58cc-4372-a567-0e02b2c3d479"
The name of the document. E.g. "Musterprotokoll vom 01.01.2022"
The date of the document. E.g. "2022-01-01"
The URL of the document. It can be downloaded from there. Only valid for 15 minutes after the request.
The type of document.
Available options:
articles_of_association, sample_protocol, shareholder_list Was this page helpful?
⌘I

